﻿<?xml version="1.0" encoding="utf-8" ?>
<configuration>


  <configSections>
    <section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler, log4net" />
  </configSections>
  <log4net debug="false">
    <!-- Писатель ошибок в файл logs\errors.log -->
    <appender name="ERRORFileAppender" type="log4net.Appender.RollingFileAppender">
      <lockingmodel type="log4net.Appender.FileAppender+MinimalLock" />
      <file value="logs\errors.log" />
      <appendtofile value="true" />
      <rollingstyle value="Size" />
      <maxsizerollbackups value="10" />
      <maximumfilesize value="200MB" />
      <staticlogfilename value="true" />
      <filter type="log4net.Filter.LevelRangeFilter">
        <levelMin value="ERROR" />
        <levelMax value="FATAL" />
      </filter>
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%-5p [%d] [%c:%M] %m%n" />
      </layout>
    </appender>
    <!-- Писатель логов в файл logs\messages.log -->
    <appender name="DEBUGFileAppender" type="log4net.Appender.RollingFileAppender">
      <lockingmodel type="log4net.Appender.FileAppender+MinimalLock" />
      <file value="logs\messages.log" />
      <appendtofile value="true" />
      <rollingstyle value="Size" />
      <maxsizerollbackups value="10" />
      <maximumfilesize value="200MB" />
      <staticlogfilename value="true" />
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%-5p [%d] [%c:%M] %m%n" />
      </layout>
    </appender>
    <!-- Корневой логгер (он решает что в итоге будет выведено) -->
    <root>
      <!-- Минимальный уровень для вывода логов 
           (ALL | DEBUG | INFO | WARN | ERROR | FATAL) -->
      <level value="DEBUG" />
      <!-- Используемые писатели логов -->
      <appender-ref ref="ERRORFileAppender" />
      <appender-ref ref="DEBUGFileAppender" />
    </root>
  </log4net>

  <connectionStrings>
    <add name="MsSqlConnectionString" connectionString="Server=(localdb)\MSSQLLocalDB;Database=TestDB;Trusted_Connection=True;" />
  </connectionStrings>

</configuration>